"""Resources

Revision ID: d923fdfe3bf2
Revises: 7cdd995a0b4f
Create Date: 2023-05-04 13:27:54.341919

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'd923fdfe3bf2'
down_revision = '7cdd995a0b4f'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('action_resources',
    sa.Column('id', sa.String(), nullable=False),
    sa.Column('cpu', sa.Float(), nullable=True),
    sa.Column('memory', sa.BigInteger(), nullable=True),
    sa.Column('time', sa.Float(), nullable=True),
    sa.Column('gpu', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.add_column('action_definition', sa.Column('resources_id', sa.String(), nullable=True))
    op.create_foreign_key(None, 'action_definition', 'action_resources', ['resources_id'], ['id'])
    op.add_column('execution_connection', sa.Column('time_allotment', sa.Float(), nullable=False, server_default="900.0"))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('execution_connection', 'time_allotment')
    op.drop_constraint(None, 'action_definition', type_='foreignkey')
    op.drop_column('action_definition', 'resources_id')
    op.drop_table('action_resources')
    # ### end Alembic commands ###
